=== debian/changelog ===
ros-foxy-rviz-rendering (8.2.8-1focal) focal; urgency=high

  * add test to ensure binary STL files from SOLIDWORKS get imported without a warning (#917 <https://github.com/ros2/rviz/issues/917>) (#933 <https://github.com/ros2/rviz/issues/933>)
  * Contributors: mergify[bot]

 -- Jacob Perron <jacob@openrobotics.org>  Thu, 16 Mar 2023 00:00:00 -0000

ros-foxy-rviz-rendering (8.2.7-1focal) focal; urgency=high

  * Fix support for assimp 5.1.0 (#826 <https://github.com/ros2/rviz/issues/826>)
  * Contributors: Akash

 -- Jacob Perron <jacob@openrobotics.org>  Mon, 12 Sep 2022 00:00:00 -0000

ros-foxy-rviz-rendering (8.2.6-1focal) focal; urgency=high

  * Export Qt5 dependencies properly (#687 <https://github.com/ros2/rviz/issues/687>) (#822 <https://github.com/ros2/rviz/issues/822>)
  * Contributors: Jacob Perron, Michel Hidalgo

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 04 Feb 2022 00:00:00 -0000

ros-foxy-rviz-rendering (8.2.5-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Tue, 12 Oct 2021 00:00:00 -0000

ros-foxy-rviz-rendering (8.2.4-1focal) focal; urgency=high

  * Reset current line width when calculating text width (#655 <https://github.com/ros2/rviz/issues/655>) (#757 <https://github.com/ros2/rviz/issues/757>)
  * Contributors: Jacob Perron, ipa-fez

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 05 Oct 2021 00:00:00 -0000

ros-foxy-rviz-rendering (8.2.3-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Wed, 01 Sep 2021 00:00:00 -0000

ros-foxy-rviz-rendering (8.2.2-1focal) focal; urgency=high



 -- Jacob Perron <jacob@openrobotics.org>  Fri, 18 Jun 2021 00:00:00 -0000

ros-foxy-rviz-rendering (8.2.1-1focal) focal; urgency=high

  * Prevent rviz_rendering::AssimpLoader from loading materials twice. (#622 <https://github.com/ros2/rviz/issues/622>) (#629 <https://github.com/ros2/rviz/issues/629>)
  * Update maintainer list (#619 <https://github.com/ros2/rviz/issues/619>)
  * [foxy-backport] fast forward of ros2 (default) to foxy (#570 <https://github.com/ros2/rviz/issues/570>)
    * restore compatibility with older Qt versions (#561 <https://github.com/ros2/rviz/issues/561>)
    * Suppress warnings when building with older Qt versions. (#562 <https://github.com/ros2/rviz/issues/562>)
    * Don't try to moc generate env_config.hpp file. (#550 <https://github.com/ros2/rviz/issues/550>)
    This removes one more warning from rviz_common builds.
    * rewrite hack to avoid CMake warning with assimp 5.0.1 and older, apply cross platform (#565 <https://github.com/ros2/rviz/issues/565>)
    * Use dedicated TransformListener thread (#551 <https://github.com/ros2/rviz/issues/551>)
    * restore alphabetical include order (#563 <https://github.com/ros2/rviz/issues/563>)
    * Don't install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Michael Jeronimo, Michel Hidalgo, William Woodall, Dirk Thomas, Chris Lalancette, ymd-stella, Karsten Knese

 -- Jacob Perron <jacob@openrobotics.org>  Wed, 09 Dec 2020 00:00:00 -0000

ros-foxy-rviz-rendering (8.2.0-1focal) focal; urgency=high

  * Changed to not install test header files in rviz_rendering. (#564 <https://github.com/ros2/rviz/issues/564>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Tue, 23 Jun 2020 00:00:00 -0000

ros-foxy-rviz-rendering (8.1.1-1focal) focal; urgency=high

  * avoid absolute OGRE path in exported targets (#558 <https://github.com/ros2/rviz/issues/558>)
  * Contributors: Dirk Thomas

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-rendering (8.1.0-1focal) focal; urgency=high

  * Added missing virtual destructors (#553 <https://github.com/ros2/rviz/issues/553>)
  * Contributors: Ivan Santiago Paunovic

 -- William Woodall <william@osrfoundation.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-foxy-rviz-rendering (8.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Tue, 02 Jun 2020 00:00:00 -0000

ros-foxy-rviz-rendering (8.0.2-1focal) focal; urgency=high

  * Removed automoc completely. (#545 <https://github.com/ros2/rviz/issues/545>)
  * Added workaround for Eigen build bug (#546 <https://github.com/ros2/rviz/issues/546>)
  * Contributors: Chris Lalancette

 -- William Woodall <william@osrfoundation.org>  Thu, 21 May 2020 00:00:00 -0000

ros-foxy-rviz-rendering (8.0.1-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 07 May 2020 00:00:00 -0000

ros-foxy-rviz-rendering (8.0.0-1focal) focal; urgency=high

  * Note from wjwwood: I've chosen bump the major version this time, even though the API was not broken strictly speaking, partly because of some potentially disruptive build system changes and partially in preparation for ROS Foxy, to allow for new minor/patch versions in the previous ROS release Eloquent.
  * Removed duplicate include dirs and link libraries. (#533 <https://github.com/ros2/rviz/issues/533>)
  * Changed to use ``ament_export_targets()``. (#525 <https://github.com/ros2/rviz/issues/525>)
  * Made some code style changes. (#504 <https://github.com/ros2/rviz/issues/504>)
  * Migrated the pose with covariance display. (#471 <https://github.com/ros2/rviz/issues/471>)
  * Fixed the build when included as a sub-project. (#475 <https://github.com/ros2/rviz/issues/475>)
  * Contributors: Dan Rose, Dirk Thomas, Martin Idel

 -- William Woodall <william@osrfoundation.org>  Fri, 01 May 2020 00:00:00 -0000

ros-foxy-rviz-rendering (7.0.3-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 13 Nov 2019 00:00:00 -0000

ros-foxy-rviz-rendering (7.0.2-1focal) focal; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Oct 2019 00:00:00 -0000

ros-foxy-rviz-rendering (7.0.1-1focal) focal; urgency=high

  * Migrate Axes Display (#429 <https://github.com/ros2/rviz/issues/429>)
  * Contributors: Martin Idel


