=== debian/control ===
Source: ros-foxy-rviz-rendering
Section: misc
Priority: optional
Maintainer: Jacob Perron <jacob@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, qtbase5-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-cppcheck <!nocheck>, ros-foxy-ament-cmake-cpplint <!nocheck>, ros-foxy-ament-cmake-gmock <!nocheck>, ros-foxy-ament-cmake-gtest <!nocheck>, ros-foxy-ament-cmake-lint-cmake <!nocheck>, ros-foxy-ament-cmake-uncrustify <!nocheck>, ros-foxy-ament-index-cpp, ros-foxy-eigen3-cmake-module, ros-foxy-resource-retriever, ros-foxy-rviz-assimp-vendor, ros-foxy-rviz-assimp-vendor <!nocheck>, ros-foxy-rviz-ogre-vendor, ros-foxy-ros-workspace
Homepage: https://github.com/ros2/rviz/blob/ros2/README.md
Standards-Version: 3.9.2

Package: ros-foxy-rviz-rendering
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, libqt5core5a, libqt5gui5, libqt5opengl5, libqt5widgets5, qtbase5-dev, ros-foxy-ament-index-cpp, ros-foxy-eigen3-cmake-module, ros-foxy-resource-retriever, ros-foxy-rviz-assimp-vendor, ros-foxy-rviz-ogre-vendor, ros-foxy-ros-workspace
Description: Library which provides the 3D rendering functionality in rviz.
